Up

# NSTextFieldCell

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Cell class for the text field entry control

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSTextFieldCell class

## NSTextFieldCell : NSActionCell

> Declared in:
>   AppKit/NSTextFieldCell.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -backgroundColor
- -drawsBackground
- -setBackgroundColor:
- -setDrawsBackground:
- -setTextColor:
- -textColor

### backgroundColor

- (NSColor*) backgroundColor;
Availability: OpenStep

Returns the color used to draw the background

See Also: -setBackgroundColor:

### drawsBackground

- (BOOL) drawsBackground;
Availability: OpenStep

Returns whether the NSTextFieldCell draw its background color

See Also: -setBackgroundColor:

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: OpenStep
Description forthcoming.

### setDrawsBackground:

- (void) setDrawsBackground: (BOOL)flag;
Availability: OpenStep

Sets whether the NSTextFieldCell draw its background color

See Also: -drawsBackground

### setTextColor:

- (void) setTextColor: (NSColor*)aColor;
Availability: OpenStep

Sets the text color to aColor

See Also: -textColor

### textColor

- (NSColor*) textColor;
Availability: OpenStep

Returns the text color

See Also: -setTextColor:

## Instance Variables for NSTextFieldCell Class

### _background_color

@protected NSColor* _background_color;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _text_color

@protected NSColor* _text_color;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up